Subject: Re: [nbs] First draft agenda

From: "David Harrington" <[email-masked]>
Date: Tue, 2 Nov 2010 09:26:45 +0800

Hi,

I agree with Lars that we need to see whether vendors and customers
are interested, not just protocol designers.

I think it is important to remember that the IETF is about engineering
standards for inetroperability. 
and typically, multiple deployed solutions are brought together to
consider what common features can be standardized.
I strongly encourage people who are interested in this work to
convince their companies to produce products that their customers can
use to solve the problem. If a number of companies find common
solutions, then we can help standardize the common parts so they will
be interoperabile across vendors.

Specifying a theoretical approach to separating identifiers and
addresses, that nobody is actually implementing or using, strikes me
as still being conjecture, or, if being done in limited projects,
research.
Maybe these ideas and this work should be documented in the IRTF or
peer-reviewed academic journals. 
Maybe it's not ready for IETF standards engineering.

But I'm willing to listen to the ideas and to see whether there is
interest in multi-vendor interoperability.

dbh

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Lars Eggert
> Sent: Wednesday, October 27, 2010 8:59 PM
> To: Rémi Després
> Cc: [email-masked]; Martin Stiemerling
> Subject: Re: [nbs] First draft agenda
> 
> HI,
> 
> On 2010-10-27, at 15:33, Rémi Després wrote:
> > Yes, knowing whether some OS or application implementers 
> already are, at this early stage, interested in Name Based 
> Sockets  can be a useful third issue.
> > 
> > But even if there is none today, this IMHO doesn't mean 
> that those that are ready to spend energy to make a sound 
> proposal should be discouraged: 
> > - We know we need referrals that don't depend on addresses 
> (addresses may be dynamic or subject to renumbering).
> > - Using names for this is an alternative to other 
> locator/identifier separation approaches.
> > - It has the distinct advantage leveraging existing 
> Internet specifications such as the DNS and IPv6 address 
> formats, rather than departing from them.
> 
> I'm with you until here.
> 
> > For OS and Application vendors to make their an opinion, 
> clearly explaining first what is meant by named based sockets 
> seems a quite reasonable approach.
> 
> Here I have to disagree. We don't (normally) charter WGs in 
> the IETF to explain technologies. We charter WGs to produce 
> specifications so that interoperable implementations can be 
> built. A specification is not a good way to explain a 
> technology or motivate its adoption, that needs to come *first*.
> 
> Lars
>